# Generated from pry_testcase-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pry_testcase

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Run binding.pry only specified testcase
License: CC0-1.0
URL: https://github.com/pocke/pry_testcase
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.4.0
# BuildRequires: rubygem(rspec) < 3.5
# BuildRequires: rubygem(rspec-power_assert) >= 0.3.0
# BuildRequires: rubygem(rspec-power_assert) < 0.4
# BuildRequires: rubygem(guard) >= 2.13.0
# BuildRequires: rubygem(guard) < 2.14
# BuildRequires: rubygem(guard-bundler) >= 2.1.0
# BuildRequires: rubygem(guard-bundler) < 2.2
# BuildRequires: rubygem(guard-rspec) >= 4.6.4
# BuildRequires: rubygem(guard-rspec) < 4.7
BuildArch: noarch

%description
Run binding.pry only specified testcase.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/pry_testcase.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.3.0-1
- Initial package
